3v4l.org

run code in 150+ php & hhvm versions
Bugs & Features
<?php eval('?>HI<?php;'); echo "bla"; ?>
Output for 5.4.0 - 5.6.28, 7.0.0 - 7.1.0
HI Notice: Use of undefined constant php - assumed 'php' in /in/7PAqL(3) : eval()'d code on line 1 bla
Output for hhvm-3.10.0 - 3.13.2
HI Notice: Use of undefined constant php - assumed 'php' in /in/7PAqL(3)(92721fa439cab6e592360e6a18c01696) : eval()'d code on line 1 bla
Output for 4.3.0 - 5.3.29
HI<?php;bla